import 'package:firestore_repository/firestore_repository.dart';

class PeerUser extends FirebaseModel {
  late final String? image;
  late final String name;

  PeerUser.fromSnapshot(DocumentSnapshot<Map<String, dynamic>> snapshot) : super.fromSnapshot(snapshot) {
    var data = snapshot.data()! as Map<String, Object?>;
    this.image = data['image'] as String?;
    this.name = "${data["firstName"]} ${data["lastName"]}";
  }

  PeerUser({required String documentId, required this.name, this.image}) : super(documentId, null);
}
